From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/thunarx-python/
Date: Mon, 25 Dec 2017 11:12:23 +0000 (UTC) [thread overview]
Message-ID: <1514200340.8b9d638ba12a9c1326b172d4412b43967ef60201.mgorny@gentoo> (raw)
commit: 8b9d638ba12a9c1326b172d4412b43967ef60201
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 25 11:08:06 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Dec 25 11:12:20 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b9d638b
dev-python/thunarx-python: Bump to 0.5.0
dev-python/thunarx-python/Manifest | 1 +
.../thunarx-python/thunarx-python-0.5.0.ebuild | 31 ++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/dev-python/thunarx-python/Manifest b/dev-python/thunarx-python/Manifest
index 0460cf4c045..2ef64330b13 100644
--- a/dev-python/thunarx-python/Manifest
+++ b/dev-python/thunarx-python/Manifest
@@ -1,2 +1,3 @@
DIST thunarx-python-0.3.0.tar.bz2 303035 BLAKE2B af0193a3bc97c859ba98f52c612d5af81c5b7a0d8142a8283cf2b308fa183ac57ac1a2163cd882749b6fd33e0529f20f1f9e2db2dcc1aed26cb40cd5995780fb SHA512 9be3e8b50cd668e0b63fbf54da5dec3685dde40528067b35bd1cfa87db7e037962baafce3059818a7de76101472a2b07ae209c590f2f143dbc71646e8addb28f
DIST thunarx-python-0.4.0.tar.bz2 332620 BLAKE2B 768a2a236e12d298efb3abc86f4a339548248f5f88366ec7d956249c028474612b15c340976ac2c2ced806a89517278c70b50069d76b2eee6af6dd097789e275 SHA512 fb54f83c11857ec2236a249895954efc29446120c192b8d19794b7e8145836969f87d1efa524bfaa4c9d31ee08a2c17a57d7210ce4a3a4982780d128839d02b1
+DIST thunarx-python-0.5.0.tar.bz2 334305 BLAKE2B f62e2e7c1faf9c218398d920c1079e82c72253e9ee547892e064f85a2ddb01ac84007ef0fbf4fd7e2bd39a80f74273a96604618f0ec4238f1cb292c97a550a8d SHA512 69350fb76e972fdbf63217e7a200642088816b803e637d3d7a1a909632115f5664cfe6e6bb90b640ed947416e0a0ab2761932a0c0219ccb7bcad767e6e07e7fe
diff --git a/dev-python/thunarx-python/thunarx-python-0.5.0.ebuild b/dev-python/thunarx-python/thunarx-python-0.5.0.ebuild
new file mode 100644
index 00000000000..c6d76865226
--- /dev/null
+++ b/dev-python/thunarx-python/thunarx-python-0.5.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
+
+inherit python-single-r1
+
+DESCRIPTION="Python bindings for the Thunar file manager"
+HOMEPAGE="https://goodies.xfce.org/projects/bindings/thunarx-python"
+SRC_URI="mirror://xfce/src/bindings/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="${PYTHON_DEPS}
+ >=x11-libs/gtk+-3.20:3
+ >=dev-libs/glib-2.30:2
+ >=dev-python/pygobject-3.20:3[${PYTHON_USEDEP}]
+ >=xfce-base/thunar-1.7.0"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+src_install() {
+ default
+
+ find "${D}" -name '*.la' -delete || die
+}
next reply other threads:[~2017-12-25 11:12 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-25 11:12 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-05-31 7:19 [gentoo-commits] repo/gentoo:master commit in: dev-python/thunarx-python/ Michał Górny
2021-03-02 5:55 Sam James
2021-03-02 4:49 Sam James
2021-01-30 16:59 Michał Górny
2020-02-09 16:18 Michał Górny
2020-01-18 18:48 Michał Górny
2018-06-17 12:11 Michał Górny
2018-02-13 9:51 Michał Górny
2018-01-05 10:27 Mikle Kolyada
2017-11-27 20:50 Denis Dupeyron
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1514200340.8b9d638ba12a9c1326b172d4412b43967ef60201.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox